UbixOS V2 2.0

Functions
fat_write.h File Reference
`#include "fat_defs.h"`
`#include "fat_opts.h"`
Include dependency graph for fat_write.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
int | fatfs_add_file_entry (struct fatfs *fs, uint32 dirCluster, char *filename, char *shortfilename, uint32 startCluster, uint32 size, int dir)
int | fatfs_add_free_space (struct fatfs *fs, uint32 *startCluster, uint32 clusters)
int | fatfs_allocate_free_space (struct fatfs *fs, int newFile, uint32 *startCluster, uint32 size)

## Function Documentation

## ◆ fatfs_add_file_entry()

int fatfs_add_file_entry | ( | struct fatfs * | fs,
|  | uint32 | dirCluster,
|  | char * | filename,
|  | char * | shortfilename,
|  | uint32 | startCluster,
|  | uint32 | size,
|  | int | dir
| ) |  |

Definition at line 266 of file fat_write.c.

References fatfs_lfn_entries_required().

Here is the call graph for this function:

## ◆ fatfs_add_free_space()

int fatfs_add_free_space | ( | struct fatfs * | fs,
|  | uint32 * | startCluster,
|  | uint32 | clusters
| ) |  |

Definition at line 45 of file fat_write.c.

References FAT32_LAST_CLUSTER, fatfs_fat_set_cluster(), fatfs_find_blank_cluster(), and fatfs_set_fs_info_next_free_cluster().

Referenced by fatfs_allocate_free_space().

Here is the call graph for this function:

## ◆ fatfs_allocate_free_space()

int fatfs_allocate_free_space | ( | struct fatfs * | fs,
|  | int | newFile,
|  | uint32 * | startCluster,
|  | uint32 | size
| ) |  |

Definition at line 82 of file fat_write.c.

References FAT32_LAST_CLUSTER, FAT_SECTOR_SIZE, fatfs_add_free_space(), fatfs_fat_set_cluster(), fatfs_find_blank_cluster(), and fatfs_set_fs_info_next_free_cluster().

Here is the call graph for this function: